package cn.ibizlab.humanresource.core.base.service;

import java.io.Serializable;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.util.Collection;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import com.alibaba.fastjson.JSONObject;
import org.springframework.cache.annotation.CacheEvict;

import cn.ibizlab.humanresource.core.base.domain.HROrgContact;
import cn.ibizlab.humanresource.core.base.filter.HROrgContactSearchContext;


import com.baomidou.mybatisplus.extension.service.IService;

/**
 * 实体[HROrgContact] 服务对象接口
 */
public interface IHROrgContactService extends IService<HROrgContact>{

    boolean create(HROrgContact et) ;
    void createBatch(List<HROrgContact> list) ;
    boolean update(HROrgContact et) ;
    void updateBatch(List<HROrgContact> list) ;
    boolean remove(String key) ;
    void removeBatch(Collection<String> idList) ;
    HROrgContact get(String key) ;
    HROrgContact getDraft(HROrgContact et) ;
    boolean checkKey(HROrgContact et) ;
    boolean save(HROrgContact et) ;
    void saveBatch(List<HROrgContact> list) ;
    Page<HROrgContact> searchDefault(HROrgContactSearchContext context) ;
    List<HROrgContact> selectByHrorganizationid(String organizationid) ;
    void removeByHrorganizationid(String organizationid) ;
    /**
     *自定义查询SQL
     * @param sql  select * from table where id =#{et.param}
     * @param param 参数列表  param.put("param","1");
     * @return select * from table where id = '1'
     */
    List<JSONObject> select(String sql, Map param);
    /**
     *自定义SQL
     * @param sql  update table  set name ='test' where id =#{et.param}
     * @param param 参数列表  param.put("param","1");
     * @return     update table  set name ='test' where id = '1'
     */
    boolean execute(String sql, Map param);

    List<HROrgContact> getHrorgcontactByIds(List<String> ids) ;
    List<HROrgContact> getHrorgcontactByEntities(List<HROrgContact> entities) ;
}


